rules:
  node/file-extension-in-import: [error, always]

  # Import - Helpful warnings
  import/no-deprecated: [error]
  import/no-extraneous-dependencies: [error]
  import/no-mutable-exports: [error]
  import/no-named-as-default: [error]
  import/no-named-as-default-member: [error]
  import/no-unused-modules: [error]

  # Import - Module systems
  import/no-amd: [error]
  import/no-commonjs: [error]
  import/no-import-module-exports: [error]
  import/unambiguous: [error]

  # Import - Static analysis
  import/no-absolute-path: [error]
  import/no-cycle: [error]
  import/no-dynamic-require: [error]
  import/no-relative-packages: [error]
  import/no-self-import: [error]
  import/no-useless-path-segments: [error]
  import/no-webpack-loader-syntax: [error]

  # Import - Style guide
  import/exports-last: [error]
  import/extensions: [error, always]
  import/first: [error]
  import/group-exports: [error]
  import/newline-after-import: [error]
  import/no-anonymous-default-export: [error]
  import/no-duplicates: [error]
  import/no-named-default: [error]
  import/no-namespace: [error]
  import/no-unassigned-import: [error]
  import/order:
    - error
    - groups:
        - type
        - builtin
        - external
        - internal
        - parent
        - sibling
        - index
        - object
        - unknown
      alphabetize:
        order: asc
        caseInsensitive: true
